## com.baidubce.services.moladb.model
Class BatchWriteItemResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.BatchWriteItemResponse

    public class BatchWriteItemResponse

extends AbstractBceResponse

Represents the output of a BatchWriteItem operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`BatchWriteItemResponse()` Constructs a new BatchWriteItemResponse object.

Method Summary
`Map<String,List<WriteRequest>>` `getUnprocessedItems()` Get all of the unprocessed items in this BatchWriteItem request.
`void` `setUnprocessedItems(Map<String,List<WriteRequest>> items)` Set all of the unprocessed items in this BatchWriteItem request.
`String` `toString()` Return a string representation of the response information.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchWriteItemResponse

    public BatchWriteItemResponse()

  Constructs a new BatchWriteItemResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getUnprocessedItems

    public Map<String,List<WriteRequest>> getUnprocessedItems()

  Get all of the unprocessed items in this BatchWriteItem request.

  Returns:
    All of the unprocessed items in this BatchWriteItem request, the type is in Map.
  See Also:
    `WriteRequest`

### setUnprocessedItems

    public void setUnprocessedItems(Map<String,List<WriteRequest>> items)

  Set all of the unprocessed items in this BatchWriteItem request.

  Parameters:
    `items` - All of the unprocessed items in this BatchWriteItem request, the type is in Map.
  See Also:
    `WriteRequest`

### toString

    public String toString()

  Return a string representation of the response information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the response information.

Copyright © 2016. All rights reserved.